from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.get_registry_model(id="meetkai:my-custom-chat-v1")
# Handle response
print(res){
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"model_id": "my-custom-chat-v1",
"source": "database",
"immutable": false,
"definition": {
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"modelId": "my-custom-chat-v1",
"displayName": "My Custom Chat v1",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"created": 1704067200,
"auth": {
"type": "api-key",
"envVar": "CUSTOM_MODEL_API_KEY"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"reasoning": true,
"supportsTemperature": true,
"supportsTopP": true
},
"contextWindow": 131072,
"rpm": 120,
"defaultParams": {
"temperature": 0.2,
"topP": 0.95
},
"hidden": false,
"healthCheck": {
"url": "https://models.example.com/health",
"method": "GET"
},
"source": "database",
"immutable": false
},
"health": {
"is_available": true,
"last_health_check": 1704067200000,
"error": null
},
"created_at": 1704067200000,
"updated_at": 1704153600000
}Retorna a definição completa do modelo e o status de saúde para um modelo específico.
from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.get_registry_model(id="meetkai:my-custom-chat-v1")
# Handle response
print(res){
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"model_id": "my-custom-chat-v1",
"source": "database",
"immutable": false,
"definition": {
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"modelId": "my-custom-chat-v1",
"displayName": "My Custom Chat v1",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"created": 1704067200,
"auth": {
"type": "api-key",
"envVar": "CUSTOM_MODEL_API_KEY"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"reasoning": true,
"supportsTemperature": true,
"supportsTopP": true
},
"contextWindow": 131072,
"rpm": 120,
"defaultParams": {
"temperature": 0.2,
"topP": 0.95
},
"hidden": false,
"healthCheck": {
"url": "https://models.example.com/health",
"method": "GET"
},
"source": "database",
"immutable": false
},
"health": {
"is_available": true,
"last_health_check": 1704067200000,
"error": null
},
"created_at": 1704067200000,
"updated_at": 1704153600000
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
OK
Esta página foi útil?